%define name libcaca
%define version 0.9
%define release 9mdk

Name: %{name}
Version: %{version}
Release: %{release}
URL: http://sam.zoy.org/projects/libcaca/
Source: http://sam.zoy.org/projects/libcaca/%{name}-%{version}.tar.bz2
Patch: libcaca-0.9-manpages.patch.bz2
Patch1: libcaca-0.9-a4wide-location.patch.bz2
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildrequires: XFree86-devel, ncurses-devel >= 5, slang-devel
Buildrequires: imlib2-devel
Buildrequires: doxygen, tetex-latex, tetex-dvips
Buildrequires: automake1.7

Summary: Text mode graphics library
%description
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

%package -n %{name}-devel
Summary: Development files for libcaca
Group: Development/C
Requires: XFree86-devel, ncurses-devel >= 5, slang-devel
Provides: %{name}-devel = %{version}-%{release}
%description -n %{name}-devel
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to
compile applications or shared objects that use libcaca.

%package -n caca-utils
Summary: Text mode graphics utilities
Group: Graphics
%description -n caca-utils
This package contains utilities and demonstration programs for libcaca, the
Colour AsCii Art library.

cacaview is a simple image viewer for the terminal. It opens most image
formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
ASCII art. The user can zoom and scroll the image, set the dithering method
or enable anti-aliasing.

cacaball is a tiny graphic program that renders animated ASCII metaballs on
the screen, cacafire is a port of AALib's aafire and displays burning ASCII
art flames, cacamoir animates colourful moire circles and cacaplas displays
an old school plasma effect.

cacademo is a simple application that shows the libcaca rendering features
such as line and ellipses drawing, triangle filling and sprite blitting.

%prep
%setup -q
%patch -p1
%patch1 -p1 -b .a4wide
aclocal-1.7
automake-1.7 -a -c
autoconf

%build
%configure2_5x \
  --enable-slang --enable-ncurses --enable-x11 --enable-imlib2 --enable-doc
%make 

%install
rm -rf %{buildroot} installed-docs
%makeinstall transform=""
%multiarch_binaries %buildroot%_bindir/caca-config
mv %{buildroot}%{_datadir}/doc/libcaca-dev installed-docs
mkdir %{buildroot}%{_datadir}/doc/caca-utils-%{version}

%clean
rm -rf %{buildroot}

%files -n %{name}-devel
%defattr(-,root,root)
%doc installed-docs/ps/* installed-docs/html BUGS NEWS NOTES TODO
%{_libdir}/*
%{_bindir}/caca-config
%_bindir/*/caca-config
%{_includedir}/*
%{_datadir}/man/man1/caca-config.1*
%{_datadir}/man/man3/*

%files -n caca-utils
%defattr(-,root,root)
%doc README THANKS AUTHORS
%{_bindir}/cacaball
%{_bindir}/cacademo
%{_bindir}/cacafire
%{_bindir}/cacamoir
%{_bindir}/cacaplas
%{_bindir}/cacaview
%{_datadir}/libcaca/
%{_datadir}/man/man1/cacaball.1*
%{_datadir}/man/man1/cacademo.1*
%{_datadir}/man/man1/cacafire.1*
%{_datadir}/man/man1/cacamoir.1*
%{_datadir}/man/man1/cacaplas.1*
%{_datadir}/man/man1/cacaview.1*

%changelog
* Wed Aug 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.9-9mdk
- Rebuild

* Sun Feb 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9-8mdk
- Patch1: fix a4wide check for new file location

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9-7mdk
- multiarch support

* Fri Aug  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-6mdk
- really fix buildrequires

* Wed Aug  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-4mdk
- patch to fix man pages build

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- fix 9.0 build

* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- fix directory ownership

* Mon Feb  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- new version

* Sun Feb 2 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.9-1
- new release

* Sun Jan 18 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.8-1
- new release

* Sat Jan 7 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.7-1
- new release

* Sat Jan 4 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.6-2
- install documentation into {doc}/package-version instead of {doc}/package
- added tetex-dvips to the build dependencies

* Sat Jan 3 2004 Sam Hocevar (RPM packages) <sam+rpm@zoy.org> 0.6-1
- new release
- more detailed descriptions
- split the RPM into libcaca-devel and caca-utils
- packages are rpmlint clean

* Mon Dec 29 2003 Richard Zidlicky <rz@linux-m68k.org> 0.5-1
- created specfile

